<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
(defined('IN_FUSION') || exit);

$locale = fusion_get_locale("", LSADM_LOCALE);

// Infusion general information
$inf_title = $locale['lsadm_000'];
$inf_description = $locale['lsadm_001'];
$inf_version = "1.0";
$inf_developer = "superboyka";
$inf_email = "superboyka@gmail.com";
$inf_weburl = "";
$inf_folder = "latest_admin_panel";
$inf_image = "members.svg";

$inf_mlt[] = [
    'title'  => $inf_title,
    'rights' => "LSAD"
];

$inf_insertdbrow[] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES('".$inf_title."', '".$inf_folder."', '', '4', '1', 'file', '0', '1', '1', '', '3', '".fusion_get_settings( 'enabled_languages' )."')";

$enabled_languages = makefilelist(LOCALE, ".|..", TRUE, "folders");
if (!empty($enabled_languages)) {
    foreach($enabled_languages as $language) {
        if (file_exists(LSADM_PATH."locale/".$language."/lsadm.php")) {
            include LSADM_PATH."locale/".$language."/lsadm.php";
        }

        $mlt_adminpanel[$language][] = [
            'rights'   => "LSAD",
            'image'    => $inf_image,
            'title'    => $locale['lsadm_002'],
            'panel'    => "admin.php",
            'page'     => 5,
            'language' => $language
        ];
        $mlt_deldbrow[$language][] = DB_ADMIN." WHERE admin_rights = 'LSAD' AND admin_language = '".$language."'";
    }
} else {
    $inf_adminpanel[] = [
        'rights'   => "LSAD",
        'image'    => $inf_image,
        'title'    => $locale['lsadm_002'],
        'panel'    => "admin.php",
        'page'     => 5,
        'language' => LANGUAGE
    ];

}

$inf_deldbrow[] = DB_PANELS." WHERE panel_filename = '".$inf_folder."'";
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights = 'LSAD'";
$inf_deldbrow[] = DB_LANGUAGE_TABLES." WHERE mlt_rights = 'LSAD'";
