<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones,  Fangree Productions
| Developers: Fangree_Craig
| Support: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
(defined('IN_FUSION') || exit);

$locale = fusion_get_locale("", PLCP_LOCALE);

// Infusion general information
$inf_title = $locale['plcp_000'];
$inf_description = $locale['plcp_001'];
$inf_version = "1.00";
$inf_developer = "karrak";
$inf_email = "admin@fusionjatek.hu";
$inf_weburl = "http://fusionjatek.hu";
$inf_folder = "profile_link_colour";
$inf_image = "news.svg";

//$inf_insertdbrow[] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status, panel_url_list, panel_restriction, panel_languages) VALUES('".$inf_title."', '".$inf_folder."', '', '1', '3', 'file', '0', '1', '1', '', '3', '".fusion_get_settings( 'enabled_languages' )."')";

$inf_adminpanel[] = [
    "rights"   => "PLCP",
    "image"    => $inf_image,
    "title"    => $locale['plcp_002'],
    "panel"    => "admin.php",
    "page"     => 5,
    'language' => LANGUAGE
];

//$inf_deldbrow[] = DB_PANELS." WHERE panel_filename = '".$inf_folder."'";
$inf_deldbrow[] = DB_ADMIN." WHERE admin_rights = 'PLCP'";


