<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author:  Nick Jones, Fangree Productions
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
(defined('IN_FUSION') || exit);

\PHPFusion\Admins::getInstance()->setAdminPageIcons( "PLCP", "<i class='admin-ico fa fa-fw fa-commenting'></i>" );

const PLCP_PATH = INFUSIONS."profile_link_colour".DIRECTORY_SEPARATOR;

if (!defined("PLCP_LOCALE")) {
    if (file_exists(PLCP_PATH."locale/".LOCALESET."plcp.php")) {
        define("PLCP_LOCALE", PLCP_PATH."locale/".LOCALESET."plcp.php" );
    } else {
        define("PLCP_LOCALE", PLCP_PATH."locale/Hungarian/plcp.php" );
    }
}
